Copyright: Yamp is copyright by André Karwath aka AKA, 1997


Start Page

- Yet Another Music Player -

Features

Tips and tricks

Shortcuts

Commandline options

The .design files

Version history

Know problems

About this program

Yamp is copyright by André Karwath (AKA), 1997.

For the latest version jump to http://www.tu-chemnitz.de/~aka


Features

- The Features -

Yamp's power:

	Easy to use.
	Full support for WAV files - all formats, even compressed one (GSM, ADPCM ...).
	Full support for MIDI and RMI files.
	Full support for MODs, S3Ms and XMs.
	preliminary support for ITs
	ZIP archive support
	CD support with browsable and searchable database
	Powerful playlists - can handle all supported formats together, unlimited size, the playlists are save- and loadable.
	Command line support, Yamp handles single files, a number of files, playlists and even complete folders (yes, with sub folders - of course).
	Drag'n'Drop support, again: Yamp handles single files, a number of files, playlists, complete folders ... if you like, even all together
	Just click on the song gauge to jump to another position in the song.
	Just click on the playlist gauge to jump to another song, or use the right mouse button to select a song from a menu.
	With Yamp you are only one mouse click away from your most wanted folders.
	If you minimize Yamp, you will find the most wanted buttons in the Traybar.
	And don't ignore the loadable design files, you can even create your own ones.
	Yamp is freeware


Tips and tricks

- Tips and tricks -

	Minimize the main window.
	Close Yamp.
	The title of the current song. Right-click to get a menu with all titles.
	Pause the current song.
	Stop the current song.
	Open the playlist editor where you can add, delete and sort titles. Right-click at this button for a menu with file related functions. In the CD mode this button opens Yamp's CD database.
	Open the file information window.
	Open the About window.
	Open the online help.
	Open the options. Use this window to setup the sound quality, the design and many other features. Right-click to access the quick-load menu for the designs.
	Play the current song. Right-click at this button to access a menu with repeat/shuffle options and the switch for the CD mode.
	This is the main window. Click and hold down the mouse to move it.
	Click to jump to another position in the current song.
	Fast Forward / Rewind the current song.
	Click to jump to another song. Right-click on it to get a menu with all titles.
	Jump to the last or to the next song.
	To easily open some songs, folders or playlists, drag the files from the explorer onto Yamp.
	Yamp supports the command line. If you store your playlists on the desktop, you can open them very fast.
	To change the song order in the playlist window, use Drag'n'Drop or the sort functions.
	Use the Traybar to control Yamp while it is minimized.
	To save disc space, ZIP your files.
	This version is probably already out of date, jump to http://www.tu-chemnitz.de/~aka to download the latest one.
	Jump to the same site to download additional Yamp designs.


About

- About This Program -

Yamp is copyright by André Karwath aka AKA, 1997. Yamp is freeware for non-commercial use.

To download the latest version and additional designs, jump to http://www.tu-chemnitz.de/~aka.

For more own programs like SMoRPhi, my software synthesizer or ScAleIt, the chord recognition and demonstration program, for the latest versions of many players, trackers, converters and other tools, for samples, songs and more related stuff, visit the same site.

Your comments are welcome. Write to aka@informatik.tu-chemnitz.de

For the playback of the MOD formats Yamp uses the great Midas Sound System. For the ZIP support Yamp uses the Unzip.dll by Eric Engler. Info-Zip: http://www.cdrom.com/pub/infozip/


Design files

- The .design files -

Introduction

Yamp uses the files with the extension .design to load the complete design of the program at runtime. In a design file all the bitmaps for the buttons, the background of the main window, a polygon shape for the window and more things are defined.

The main reason for this is the possibility to load and use your favourite design without leaving Yamp's powerful sound engine. If you don't like blue backgrounds, use a colorful one, if you don't like colors at all, use a grey design. If you don't like rectangle windows, use the triangle ones, if you don't like windows at all, use DOS. But then - this is really a missing feature - you can't use Yamp ;-)

To load a design file, open the Option window and press the "Get" button. Then jump to the folder where the files are stored, select a file and press OK. If you close the Option window now, the new design will be loaded and marked as the new default one. An other, faster way is to right-click at the Option button.

With the help of the following lines you should be able to create your own design files. If you think that you have created a really cool design, don't hesitate to send it to me (aka@informatik.tu-chemnitz.de). If you have done a good job, I will create an "Additional Yamp Design Package" and store it on my homepage, direct below Yamp ;-)

Use your chance to show the rest of the world your capabilities and your fantasy. You know, the design can have all forms and all colors you can think on, build your round house, round doors and ... round windows.

General notes about your design

Your design should consists of the .design file and some bitmaps. The name of the .design file is the name of your design. Your bitmaps should be stored in a separate folder below the "Designs" subfolder of Yamp:

Example:

...\Yamp\Cool.design

...\Yamp\Designs\Cool\play 1.bmp

...\Yamp\Designs\Cool\play 2.bmp

...\Yamp\Designs\Cool\stop 1.bmp

...\Yamp\Designs\Cool\stop 2.bmp

.

.

Please don't use any existing bitmap of Yamp and don't use a non-standard font.

To create non-rectangular windows, I recommend the following way:

1. 	Start a paint program and draw your design.

2. 	Make a copy of an existing design file and open it with a text editor of your choice.

3. 	Inside the paint program move your mouse to the first point of your design.

4. 	Read the coordinates and write these coordinates in the text file.

5. 	Do 3. and 4. for all coordinates of your painting.

6. 	After this, set the NumberOfWindowShapePoints to the correct value.

7. 	Now you should start Yamp and load your design to see whether it works or not. In most cases you have to correct some points a little bit.

New possibilities in Yamp version 2.1

Labels: FX Style, FX Lightcolor, FX Shadowcolor, FX Depth, FX Offset X, FX Offset Y, Use LEDs, Digisize X, Digisize Y, Active Color, Inactive Color

Gauges: Color Foreground, Color Background

Number of window shape points: increased to 1000

The format of the design files

To speak with Mr. H of Triton: "Be prepared! Are you sure you want to know?"

(from the description of the .XI format)

The .design file is divided into 4 parts, in each part the settings are stored in the form Setting = Value. The value can be a string, an Integer or a Boolean. If it is a Boolean, "0" means "Off" and "1" means "On".

Please check out the examples to see how the settings works. If you have a big, unsolvable problem, ask me.

General window settings

NameOfTheDesigner

Type in your name here, it will be visible in the Option window below the name of the loaded design.

Default: "unknown" ... but I'm sure that you know your name

WindowHeight/WindowWidth

These are the height and the width of the main window.

Default: 0/0

Hide Window Border

If you set this to 1, there will be no raised border around the main window - this is mainly useful for non-rectangular windows.

Default: 0

BackgroundMode

Set this option to "BitmapCenter", to "BitmapTile" or to "Gradient".

If you set this to BitmapCenter or to BitmapTile, Yamp needs then a "Bitmap=" statement, otherwise you must set the two colors "GradientColorFrom" and "GradientColorTo".

UseWindowShape

If you set this option to 1, Yamp needs also the settings NumberOfWindowShapePoints and the Points P1x, P1y ... Pnx, Pny.

Default: 0

NumberOfWindowShapePoints

This is the option for the number of points of the window shape polygon. Valid values are 3..1000.

Default: 0

After this option, you have to give Yamp the co-ordinates of each point in the form P1x=, P1y= up to Pnx=  and Pny = ... n is the NumberOfWindowShapePoints.

Label Settings

There exists two labels in Yamp, the song name and the "Yamp" logo. Both labels have the following settings:

Left/Top/Width/Height

... the position and size of the labels.

Defaults: 0

Use LEDs   New in version 2.1

If this setting is switched on, a special LED styled label will be used. This is only possible for the song name.

Default: 0

If "Use LEDs" is switched off:

FontColor

I'm sure you know the meaning. The color consists of the parts Red (rr), Green (gg) and Blue (bb), the format is $bbggrr. The valid range for each color part is "00" - "ff".

Default: $000000

Examples: $0000ff $00ff00 $ff0000 $000000 $c0c0c0

FontName

... the font for the label. If you don't make a private design, I recommend to use standard fonts like "Arial", "Times New Roman" and "Courier"

Default: MS Sans Serif

FontSize

... the font size of the label.

Default: 8

FontBold

If this option is set to "1", the bold property of the font will be set.

Default: 0

FontItalic

... see FontBold

FX Style   New in version 2.1

... the effect style. Possible values are None, Raised, Sunken, ColorRaised, ColorSunken, RaisedShadow and SunkenShadow

Default: None

FX Lightcolor / FX Shadowcolor   New in version 2.1

... the light shadow color for the label effect.

Default: $c0c0c0 / $808080

FX Depth   New in version 2.1

... the depth of the label effect.

Default: 1

FX Offset X / FX Offset Y   New in version 2.1

... the offsets for the light and shadow color.

Default: 0

If "Use LEDs" is switched on:

Digisize X / Digisize Y   New in version 2.1

... defines the size of one digit.

Defaults: 8/5

Active Color / Inactive Color   New in version 2.1

... the two possible colors of each LED.

Defaults: $80ff80 / $008000

Gauge Settings

ShowShadow - global for all gauges

Defines whether the shadows are visible or not.

Default: 0

ShadowRelPosX /ShadowRelPosY - global for all gauges

This are the relative positions of the shadow to the gauge.

ShadowColor - global for all gauges

The color of the shadow.

Default: $000000

Left / Top / Width / Height

These settings defines the position and size of each gauge.

Color Foreground / Color Background   New in version 2.1

The colors of the gauges.

Default: $000000 / $FFFFFF

The Buttons

FontColor / FontName / FontSize / FontBold / FontItalic - global for all buttons

Please read the description of the label settings.

ShowBevel - global for all buttons

If this option is set to 1 and the mouse is over the button, a bevel will be drawn.

Default: 0

Bitmap1/Bitmap2

The two bitmaps for the button. Bitmap1 is the standard bitmap, Bitmap2 will only be shown when the mouse is over the button.

Default: no bitmap

Caption

This settings defines the button text.

Default: '' (no text)

Left/Top/Width/Height

These settings defines the position and the size for the button.

Defaults: 0


Shortcuts

- The Shortcuts -

Key	Function
Space	play
Escape	stop
P	pause
Cursor left	rewind
Cursor right	fast forward
Cursor up	next song
Cursor down	previous song
F1	help
M	minimize the application
Alt+F4	start the shutdown ritual
O	options
D	disk operations / playlist editor
I	file information
A	about


History

- The Version History -

0.0 - 1.0

	private releases

1.1 (13-May-1997)

	first public release

1.2 (13-June-1997)

	7 new designs
	quick-load function for designs -> right-click at the Option button
	some minor bugfixes and improvements

1.3 (6-August-1997)

	a new version of the MIDAS DLL is out, followed by a new version of Yamp - faster, high-quality mixing routines - preliminary .IT support
	"Always on top" option
	"Repeat song", "Repeat playlist" and "Shuffle mode" option -> right-click at the Play button
	a lot of other minor improvements

1.4 (25-August-1997)

	ZIP file support
	improved commandline support (auto-play / design setting)
	Print buttons for the playlist and the song information
	some other minor improvements

1.5 - 1.9

	Skipped to avoid conflicts with "Yet Another Mail Program", "Yet Another Matrix Program" and "Yet Another Media Player".

2.0 (08-September-1997)

	CD support with browsable and searchable database
	options to set a background picture or colorfade

2.1 (12-November-1997)

	hierarchical design selection
	improved playlist editor
	enhanced .design file capabilities
	possibility to register all supported file formats
	commandline files will now be automatically played
	new designs: Banner*.*, Enterprise*.* and Soft*.*
	Many people have never heard something about MOD, XM & Co. That's why I included an example XM this time.
	some minor bugfixes and improvements


Commandline Options

- The Commandline Options -

To load a number of files at startup

yamp param1 param2 param3 ...

All params can be songs, Yamp playlists or folders.

Example: yamp drance-y.xm c:\music\songs\ ''c:\most wanted.ypl''

To auto-play the first song of the playlist

yamp -p

Example: yamp -p

Note: Files at the commandline will be played always automatically.

To load a design

yamp -dparam

param is the name of a design file.

Example: yamp -d"rainbow standard.design"

All options can be used together.


Known problems

- Known problems -

MIDAS based problems

-	A few Protracker files (.mod) cannot be played at all, one known example is "Axel_f.mod".

-	The Impulsetracker file support is still preliminary, a few songs sound a little bit strange.

YAMP based ones

-	On a few computers Yamp seems to hang on start-up if another program is already playing a sound.

If you do not mail me about these already known problems, I have more time to fix them.